%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		referencer
Summary:	A document organiser and bibliography manager for Gnome
Version:	1.1.1
Release:	1%{?dist}
Group:		Applications/System
License:	GPLv2
URL:		http://icculus.org/referencer
Source0:	http://icculus.org/referencer/downloads/%{name}-%{version}.tar.gz
Patch0:		referencer-pythondir.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	poppler-glib-devel libgnomeuimm26-devel
BuildRequires:	boost-devel gcc-c++ python-devel
BuildRequires:	gettext perl(XML::Parser)
BuildRequires:	desktop-file-utils

%description
Referencer is a Gnome application to organise documents or references, and
ultimately generate a BibTeX bibliography file.
Its features include automatic metadata retrieval, smart web links, ability to
import from BibTeX, Reference Manager and EndNote, and tagging.

%prep
%setup -q
%patch0 -p0 -b .pyt

%build
%configure --disable-update-mime-database
make %{?_smp_mflags} 

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} INSTALL="%{__install} -p" install

desktop-file-install --delete-original			\
	--vendor fedora					\
	--remove-category Application			\
	--dir %{buildroot}%{_datadir}/applications	\
	%{buildroot}%{_datadir}/applications/%{name}.desktop


%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

update-desktop-database &> /dev/null ||:

update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

update-desktop-database &> /dev/null ||:

update-mime-database %{_datadir}/mime &> /dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/referencer
%{_datadir}/applications/fedora-referencer.desktop
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/mime/packages/referencer.xml
%{_datadir}/pixmaps/referencer.svg
%{_datadir}/referencer/
%{python_sitelib}/referencer/

%changelog
* Wed Mar 19 2008 Deji Akingunola <dakingun@gmail.com> - 1.1.1-1
- New release

* Fri Feb 08 2008 Deji Akingunola <dakingun@gmail.com> - 1.1.0-1
- Latest upstream release

* Wed Sep 19 2007 Deji Akingunola <dakingun@gmail.com> - 1.0.4-5
- Patch to build against newer poppler library

* Wed Sep 05 2007 Deji Akingunola <dakingun@gmail.com> - 1.0.4-4
- Rebuild against newer poppler library

* Sat Aug 25 2007 Deji Akingunola <dakingun@gmail.com> - 1.0.4-3
- Rebuild

* Fri Aug 03 2007 Deji Akingunola <dakingun@gmail.com> - 1.0.4-2
- Modify the license tag, and
- Rebuild for new boost library

* Thu May 31 2007 Deji Akingunola <dakingun@gmail.com> - 1.0.4-1
- New release

* Wed May 30 2007 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 1.0.3-3
- Fix the crash on x86_64

* Sat May 05 2007 Deji Akingunola <dakingun@gmail.com> - 1.0.3-2
- Preserve timestamp (from package review)

* Sat May 05 2007 Deji Akingunola <dakingun@gmail.com> - 1.0.3-1
- Initial packaging for Fedora
